For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get firewall list

Retrieve all available firewalls. Use this endpoint to view existing firewall configurations.

Get firewall list

get

Retrieve all available firewalls.

Use this endpoint to view existing firewall configurations.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
pageintegerOptional

Page number

Example: 1
Responses
200

Success response

application/json
get/api/vps/v1/firewall
GET /api/vps/v1/firewall HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 65224,
      "name": "HTTP and SSH only",
      "is_synced": false,
      "rules": [
        {
          "id": 24541,
          "action": "accept",
          "protocol": "TCP",
          "port": "1024:2048",
          "source": "any",
          "source_detail": "any"
        }
      ],
      "created_at": "2021-09-01T12:00:00Z",
      "updated_at": "2021-09-01T12:00:00Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?